Skip to main content
POST

Body

application/json

Data query to filter and retrieve blocks. Request body may be gzipped (Content-Encoding: gzip).

fromBlock
integer<int64>
default:880000
required

The number of the first block to fetch. If unsure how far into the past this can go consult /metadata

type
enum<string>
default:bitcoin
Available options:
bitcoin
toBlock
integer<int64>
default:880000

The block number to fetch up to (inclusive). Optional; if omitted, streams until dataset height or timeout.

parentBlockHash
string

Expected hash of the parent of the first requested block

includeAllBlocks
boolean
default:true

If true, includes blocks with no matching data

fields
object

Field selector. See the HTTP 200 response description for details on fields that aren't self-explanatory

transactions
object[]

Transaction data requests. An empty object matches all transactions

inputs
object[]

Input data requests. Filter by prevout address, type, or coinbase status

outputs
object[]

Output data requests. Filter by address or script type

Response

A stream of finalized blocks in JSON lines format, optionally gzipped. Never returns blocks above the finalized head.

header
object
required
transactions
object[]
inputs
object[]
outputs
object[]